Index: tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-empty.at
===================================================================
--- tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,30 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing mpqc
+
+AT_SETUP([Parser - loading empty mpqc file])
+AT_KEYWORDS([parser input mpqc emptyfile])
+
+file=empty.in
+AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/empty.in $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc --no-dry-run --store-session session-parser-mpqc-empty.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-empty.py >session-parser-mpqc-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-empty_new.py], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-load-multiply.at
===================================================================
--- tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-load-multiply.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-load-multiply.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,33 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing mpqc
+
+AT_SETUP([Parser - loading twice the same mpqc file])
+AT_KEYWORDS([parser load mpqc select-molecule-by-order select-molecules-atoms translate-atoms])
+
+srcfile=water.in
+destfile=doublewater.in
+AT_CHECK([../../molecuilder --dry-run -i $destfile -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/$srcfile --no-dry-run --store-session session-parser-mpqc-load-multiply.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load-multiply.py >session-parser-mpqc-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $destfile -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/$srcfile --select-molecule-by-order -1 --select-molecules-atoms --translate-atoms --position "2,0,0" --no-dry-run --store-session session-parser-mpqc-load-multiply.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load-multiply.py >session-parser-mpqc-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $destfile ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/$destfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-load.at
===================================================================
--- tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,134 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#    Copyright (C) 2013 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing mpqc
+
+AT_SETUP([Parser - loading mpqc file])
+AT_KEYWORDS([parser load mpqc])
+
+file=testCLHF.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF.in --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+file=testCLHF_n.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n.in --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n_mixed_ids.in --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 5, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n_ascend_ids.in --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [stderr])
+AT_CHECK([grep "n index is not simply" stderr], 0, [ignore], [ignore])
+
+file=testCLKS.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLKS.in --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLKS.in], 0, [ignore], [ignore])
+
+file=testMBPT2.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testMBPT2.in --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testMBPT2.in], 0, [ignore], [ignore])
+
+file=testMBPT2_R12.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testMBPT2_R12.in --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testMBPT2_R12.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading mpqc file with Undo])
+AT_KEYWORDS([parser load mpqc undo])
+
+file=emptyCLHF.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF.in --undo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/empty.in], 0, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n.in --undo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/empty.in], 0, [ignore], [ignore])
+
+file=emptyCLKS.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLKS.in --undo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/empty.in], 0, [ignore], [ignore])
+
+file=emptyMBPT2.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testMBPT2.in --undo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/empty.in], 0, [ignore], [ignore])
+
+file=emptyMBPT2_R12.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testMBPT2_R12.in --undo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/empty.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading mpqc file with Redo])
+AT_KEYWORDS([parser load mpqc redo])
+
+file=testCLHF.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF.in --undo --redo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+file=testCLHF_n.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n.in --undo --redo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+file=testCLKS.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLKS.in --undo --redo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLKS.in], 0, [ignore], [ignore])
+
+file=testMBPT2.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testMBPT2.in --undo --redo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testMBPT2.in], 0, [ignore], [ignore])
+
+file=testMBPT2_R12.in
+AT_CHECK([../../molecuilder --dry-run -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testMBPT2_R12.in --undo --redo --no-dry-run --store-session session-parser-mpqc-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-load.py >session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testMBPT2_R12.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-save.at
===================================================================
--- tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-save.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Mpqc/testsuite-parser-mpqc-save.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,28 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing mpqc
+
+AT_SETUP([Parser - saving mpqc from loaded xyz file])
+AT_KEYWORDS([parser output mpqc xyz])
+
+AT_CHECK([../../molecuilder --dry-run -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/test.xyz --output-as test.in --no-dry-run --store-session session-parser-mpqc-save.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-mpqc-save.py >session-parser-mpqc-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-mpqc-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=test.in; diff $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/test.in], 0, [ignore], [ignore])
+
+AT_CLEANUP
